default: &default
  adapter: postgresql
  encoding: unicode
  pool: <%= ENV.fetch("RAILS_MAX_THREADS") { 5 } %>

development_local:
  <<: *default
  username: <%= ENV["DEVELOPMENT_USERNAME"] %>
  password: <%= ENV["DEVELOPMENT_PASSWORD"] %>
  database: <%= ENV["DEVELOPMENT_DATABASE"] %>
  host: <%= ENV["DEVELOPMENT_HOST"] %>
  port: <%= ENV["DEVELOPMENT_PORT"] %>

development:
  <<: *default
  username: <%= ENV["DEVELOPMENT_USERNAME"] %>
  password: <%= ENV["DEVELOPMENT_PASSWORD"] %>
  database: <%= ENV["DEVELOPMENT_DATABASE"] %>

test:
  <<: *default
  username: <%= ENV["DEVELOPMENT_USERNAME"] %>
  password: <%= ENV["DEVELOPMENT_PASSWORD"] %>
  database: <%= ENV["TEST_DATABASE"] %>
  host: <%= ENV["DEVELOPMENT_HOST"] %>
  port: <%= ENV["DEVELOPMENT_PORT"] %>

production:
  <<: *default
  username: <%= ENV["PRODUCTION_USERNAME"] %>
  password: <%= ENV["PRODUCTION_PASSWORD"] %>
  database: <%= ENV["PRODUCTION_DATABASE"] %>
